package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingCouponEndactivityRequest struct {
	/*
	   需要删除的活动的信息     */
	Param *domain.AlibabaHmMarketingCouponEndactivityCommonActivityParam `json:"param" required:"true" `
}

func (s *AlibabaHmMarketingCouponEndactivityRequest) SetParam(v domain.AlibabaHmMarketingCouponEndactivityCommonActivityParam) *AlibabaHmMarketingCouponEndactivityRequest {
	s.Param = &v
	return s
}

func (req *AlibabaHmMarketingCouponEndactivityRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaHmMarketingCouponEndactivityRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
